"use client";

// src/use-code.ts
import { code } from "@nextui-org/theme";
import { mapPropsVariants } from "@nextui-org/system";
import { useDOMRef } from "@nextui-org/dom-utils";
import { useMemo } from "react";
function useCode(originalProps) {
  const [props, variantProps] = mapPropsVariants(originalProps, code.variantKeys);
  const { ref, as, children, className, ...otherProps } = props;
  const Component = as || "code";
  const domRef = useDOMRef(ref);
  const classNames = useMemo(
    () => code({
      ...variantProps,
      className
    }),
    [...Object.values(variantProps), className]
  );
  const getCodeProps = () => {
    return {
      ref: domRef,
      className: classNames,
      ...otherProps
    };
  };
  return { Component, children, getCodeProps };
}

export {
  useCode
};
