import * as react from 'react';
import * as _nextui_org_system from '@nextui-org/system';
import { HTMLNextUIProps, PropGetter } from '@nextui-org/system';
import { CodeVariantProps } from '@nextui-org/theme';
import { ReactRef } from '@nextui-org/shared-utils';

interface UseCodeProps extends HTMLNextUIProps<"code">, CodeVariantProps {
    /**
     * Ref to the DOM node.
     */
    ref?: ReactRef<HTMLElement | null>;
}
declare function useCode(originalProps: UseCodeProps): {
    Component: _nextui_org_system.As<any>;
    children: react.ReactNode;
    getCodeProps: PropGetter<Record<string, unknown>, _nextui_org_system.DOMAttributes<_nextui_org_system.DOMElement>>;
};
type UseCodeReturn = ReturnType<typeof useCode>;

export { UseCodeProps, UseCodeReturn, useCode };
